# Market Data Objects

### MarketDataObject

<table><thead><tr><th width="236">           Parameter</th><th width="147.66666666666669" align="center">Type</th><th>                      Description</th></tr></thead><tbody><tr><td><code>bestAsk</code></td><td align="center">number</td><td>Best ask for provided symbol</td></tr><tr><td><code>bestBid</code></td><td align="center">number</td><td>Best bid for provided symbol</td></tr><tr><td><code>bids</code></td><td align="center">array</td><td>Returns an array of <a href="#marketdatabidsobject">MarketDataBidsObject</a></td></tr><tr><td><code>dataType</code></td><td align="center">string</td><td>Data type</td></tr><tr><td><code>lastUpdated</code></td><td align="center">number</td><td>Time in epoch milliseconds when this record was updated. </td></tr><tr><td><code>precision</code></td><td align="center">array</td><td>Precision level</td></tr><tr><td><code>spread</code></td><td align="center">number</td><td>bestAsk - bestBid</td></tr><tr><td><code>symbol</code></td><td align="center">string</td><td>Currency</td></tr></tbody></table>

### MarketDataBidsObject

<table><thead><tr><th width="236">           Parameter</th><th width="147.66666666666669" align="center">Type</th><th>                      Description</th></tr></thead><tbody><tr><td><code>cumulativeQuantity</code></td><td align="center">number</td><td>Cumulative quantity from top of book</td></tr><tr><td><code>quantity</code></td><td align="center">number</td><td>Size of order</td></tr><tr><td><code>quote</code></td><td align="center">number</td><td>Quoted amount by Aquanow</td></tr></tbody></table>

### MarketImpactProjectionObject

<table><thead><tr><th width="236">           Parameter</th><th width="147.66666666666669" align="center">Type</th><th>                      Description</th></tr></thead><tbody><tr><td><code>depth</code></td><td align="center">number</td><td>Depth of each market impact value</td></tr><tr><td><code>mi</code></td><td align="center">number</td><td>Market impact</td></tr></tbody></table>

### PreTradeSummaryObject

<table><thead><tr><th width="236">           Parameter</th><th width="147.66666666666669" align="center">Type</th><th>                      Description</th></tr></thead><tbody><tr><td><code>summary</code></td><td align="center">array</td><td>Pre-trade summary.<br><br>Array's first value is timestamp, second value is symbol of query, third value is side, fourth value is initial price, fifth value is average price of the trade, six value is market impact and the last value is the size used for calculations of average price and market impact</td></tr></tbody></table>

### AvailableSymbols

<table><thead><tr><th width="236">           Parameter</th><th width="147.66666666666669" align="center">Type</th><th>                      Description</th></tr></thead><tbody><tr><td><code>"ETH-CAD"</code></td><td align="center">string</td><td>An example of available symbols</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aquanow.io/aquanow/data-objects-and-statuses/market-data-objects.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
